/*------------------------------------------------------------------------------
 *  This preset button class, which inherits from the main button class, is
 *  designed to handle rectangular buttons drawn by SDL that change color when
 *  the mouse is over them.  I.e., the preset buttons and the alarm button.
 *----------------------------------------------------------------------------*/
#ifndef E_CLASS_PRESETBUTTON_H
#define E_CLASS_PRESETBUTTON_H

/*
 *  The Preset Button class
 */
class EPresetButton : public EButton
{
    public:
        /*  Constructor */
        EPresetButton( void );

        /*  Our preset button render function */
        void render( void );

        /*  Determine whether or not to highlight the button */
        void handle_highlight( void );

        /*  Highlight the button */
        void set_highlight( bool highlight );

        /*  Set the padding */
        void set_padding( int padX, int padY = -1 );

        /*  Init the draw rect */
        void init_draw_rect( SDL_Rect *rect = NULL );

        /*  Get the padding */
        SDL_Point get_padding( void );
        int get_padding_x( void );
        int get_padding_y( void );

    private:
        /*  The padding between the text and the button outline */
        SDL_Point ePadding;

        /*  Whether or not we're highlighting */
        bool eHighlight;

        /*  Rect for drawing our border */
        SDL_Rect eDrawRect;
};

#endif
